# dotfiles

Arch Linux + BSPWM

<details>
  <summary><b>screenshots</b></summary>

  ![desktop](pic/screenshots/desktop.png)
  ![dev](pic/screenshots/dev.png)
</details>

## programs
### system
- distro: [arch linux](https://archlinux.org)
- wm: [bspwm](https://github.com/baskerville/bspwm) ([cheat sheet](https://gist.github.com/amit08255/43ed6efdc1952d88f9a61e86f375e924))
- dm: [lightdm](https://github.com/canonical/lightdm) + [mini-greeter](https://github.com/prikhi/lightdm-mini-greeter)
- compositor: [picom](https://github.com/yshui/picom)
- aur helper: [paru](https://github.com/Morganamilo/paru)
- file manager: [nnn](https://github.com/jarun/nnn) and [thunar](https://wiki.archlinux.org/title/Thunar)
- launcher: [rofi](https://github.com/davatorium/rofi)
- bar: [polybar](https://github.com/polybar/polybar)
- notifications: [dunst](https://github.com/dunst-project/dunst)
- fonts: [jetbrains mono](https://github.com/JetBrains/JetBrainsMono)
- theme: [everforest](https://github.com/sainnhe/everforest)
  - [gtk](https://github.com/Fausto-Korpsvart/Everforest-GTK-Theme)
  - [icons](https://github.com/yeyushengfan258/Reversal-icon-theme)
  - [rofi](https://github.com/newmanls/rofi-themes-collection)
  - [neovim](https://github.com/neanias/everforest-nvim)
  - [firefox](https://addons.mozilla.org/en-US/firefox/addon/everforest-dark-official/)
  - [duckduckgo](https://github.com/temefleet/everforest-theme-duckduckgo)
  - [cursors](https://github.com/talwat/everforest-cursors)
- [redshift](http://jonls.dk/redshift/) - saves my eyes at night
- [maim](https://github.com/naelstrof/maim) - screenshots
- [copyq](https://github.com/hluk/CopyQ) - clipboard manager

### terminal
- shell: bash
- emulator: [kitty](https://sw.kovidgoyal.net/kitty/)
- prompt: [starship](https://starship.rs)
- [pfetch](https://github.com/dylanaraps/pfetch) - system info fetcher
- [bottom](https://github.com/ClementTsang/bottom) / [btop](https://github.com/aristocratos/btop) - system monitor
- [fzf](https://github.com/junegunn/fzf) - multi-purpose finder
- [glow](https://github.com/charmbracelet/glow) - markdown preview

### development
- [neovim](https://neovim.io/) - ide/text editor

### media
- music: [supersonic](https://github.com/dweymouth/supersonic) + [jellyfin](https://jellyfin.org)

### fun
- [cava](https://github.com/karlstav/cava) - music visualizer
- [pipes.sh](https://github.com/pipeseroni/pipes.sh) - pipes screensaver
- [cmatrix](https://github.com/abishekvashok/cmatrix) - matrix-like screensaver
- [cbonsai](https://gitlab.com/jallbrit/cbonsai) - generate bonsai trees
